Package org.jmock.core

# Interface Constraint

All Superinterfaces:
  `SelfDescribing`

All Known Implementing Classes:
  `And`, `HasProperty`, `HasPropertyWithValue`, `HasToString`, `IsAnything`, `IsArrayContaining`, `IsCloseTo`, `IsCollectionContaining`, `IsCompatibleType`, `IsEqual`, `IsEventFrom`, `IsGreaterThan`, `IsIn`, `IsInstanceOf`, `IsLessThan`, `IsMapContaining`, `IsNot`, `IsNothing`, `IsNull`, `IsSame`, `Or`, `StringContains`, `StringEndsWith`, `StringStartsWith`, `SubstringConstraint`

public interface Constraint extends SelfDescribing
A constraint over acceptable values.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`eval(Object o)`
Evaluates the constraint for argument o.

### Methods inherited from interface org.jmock.core.SelfDescribing

`describeTo`

## Method Details

### eval

boolean eval(Object o)
Evaluates the constraint for argument o.

Parameters:
  `o` - the object against which the constraint is evaluated.
Returns:
  `true` if o meets the constraint, `false` if it does not.